## debian-keyring 2024.09.22

=== debian/changelog ===
debian-keyring (2024.09.22) unstable; urgency=medium

  [ Jonathan McDowell ]
  * Add new DD key 0x77C1D22D53E15F02 (Joachim Bauch) (RT #9606)
  * Replace 0xD39D8D29BAF36DF8 with 0x000001EFCF1A50FA (Jongmin Kim) (RT
    #9586)
  * Remove 0xE3E3392348B50D39 (Ian Jackson)
  * Import changes sent to keyring.debian.org HKP interface:
    * 0x14135D277B88D7E5 YunQiang Su <syq> sub:3 sig:3
    * 0x2EC3F60DE71C0B9D James Lu <jlu> uid:1 sig:2
    * 0x30550F7871EF0BA8 Yves-Alexis Perez <corsac> sig:3
    * 0x4BCD0567C296D05D Daniel Leidert <dleidert> uid:2 sig:2
    * 0x5291703BFA09034E Carlos Henrique Lima Melara <charles> uid:1 sig:10
    * 0x55E9F9F7AC1C443F Marc Dequènes <duck> sig:7
    * 0x5ACE8D6E0C14A470 Luke Faraone <lfaraone> sub:3 sig:6
    * 0x60023FC4D3492072 David Heidelberg <dhx> sig:2
    * 0x6611C05EDD39F374 Jérémy Lal <kapouer> sig:3
    * 0x90F0C9B18A6B4A19 Evangelos Ribeiro Tzaras <devrtz> sig:2
    * 0x99D49B6B00CAD1E5 Filippo Giunchedi <filippo> sig:2
    * 0xC3860AC59F574E3A Bastian Germann <bage> sig:6
    * 0xCC65B0CDEC275D5B ChangZhuo Chen <czchen> sig:5
    * 0xDD839B748F10AD4D Gwen Weinholt <weinholt> sig:2
    * 0xF733E8710859FCD2 Aloïs Micard <creekorful> uid:1 sig:1
    * 0xFBE08DA64BF78AA9 Joachim Zobel [DM] sig:3
    * 0xFC70D26B95CD332E Tim Theisen <ttheisen> sig:1

  [ Gunnar Wolf ]
  * Add new DM key 0x6EC3C10693C090C3 (Philippe SWARTVAGHER) (RT #9612)
  * Add new DM key 0x6E25BF686AA7D62A (Kathara Sasikumar) (RT #9613)

 -- Jonathan McDowell <noodles@earth.li>  Sun, 22 Sep 2024 19:23:49 +0100

debian-keyring (2024.09.12) unstable; urgency=medium

  [ Jonathan McDowell ]
  * Move 0xE7E6F782283D6300 (Mattia Dongili) to emeritus (RT #9602)
  * Add new DM key 0x826FADFF59548BFC (Alberto Bertogli) (RT #9595)
  * Add new DM key 0x2DE965ED63825C93 (Xiyue Deng) (RT #9596)
  * Add new DM key 0xE7BD1904F480937F (Alexis Murzeau) (RT #9597)
  * Add new DM key 0x60023FC4D3492072 (David Heidelberg) (RT #9598)

  [ Gunnar Wolf ]
  * Qualified Python strings with r"" when to be used as regexes in
    scripts/process-rt
  * Remove revoked key 0x78494EF72375A66C (Giovani Ferreira) (RT #9607
  * Import changes sent to keyring.debian.org HKP interface:
    * 0x00806F2BD729A457 Jelmer Vernooij <jelmer> sub:6 sig:11
    * 0x091AB856069AAA1C Holger Levsen <holger> sig:4
    * 0x0C871C4C653C1F59 Hilmar Preusse <hille42> uid:1 sig:1
    * 0x17FBDCBFD9928FF4 Jochen Sprickerhof <jspricke> sig:5
    * 0x2AFBD67FD133AC6E Martin Meredith <mez> uid:1 sig:2
    * 0x3116BA5E9FFA69A3 Paul Wise <pabs> sig:3
    * 0x47DAC12E5D3610E6 Yogeswaran Umasankar <yogu> uid:1 sig:1
    * 0x56034877E1F87C35 Ximin Luo <infinity0> sub:1 sig:1
    * 0x5B924EE310055CD3 Marcelo Jorge Vieira <metal> sig:5
    * 0x5D5F6C020398A60A Peter Wienemann <wiene> uid:1 sig:5
    * 0x83A395925B29CE90 Agathe Porte <gagath> sig:3
    * 0x863D4DF2ED9C28EF Abhijith PA <abhijith> sig:23
    * 0x9D46C488E4368302 Emilio Pozuelo Monfort <pochu> sig:6
    * 0xADF50EDAF8ADD585 Sven Geuer <sge> uid:2 sig:3
    * 0xAF2283AA76E2AC7B Hector Oron <zumbi> sig:3
    * 0xBF7DB622B303AC8B Lukas Matthias Märdian <slyon> sub:2 sig:15
    * 0xC38E8160A17841FE Aron Xu <aron> sig:7
    * 0xD04BA3A00125D5C0 Philip Hands <philh> sig:1
    * 0xD50F9EBC09E69937 Peter Palfrader <weasel> sig:6
    * 0xE619045DF2AC729A Raphaël Hertzog <hertzog> sig:15
    * 0xE7CBE152AC17F973 李健秋 Andrew Lee <ajqlee> uid:1 sig:6
    * 0xECBEDBB607B9B2BE Matthias Geiger <werdahias> uid:1 sig:1
    * 0xFA643BA61D227AFB Aigars Mahinovs <aigarius> sig:3
    * 0xFA9DEC5DE11C63F1 Emmanuel Arias <eamanu> uid:1 sig:1
    * 0x7A749064D38F11A3 Thomas Vincent <tvincent> sig:3
    * 0xA2B91BC6CD4EBDDC Stéphane Blondon <sblondon> sig:1
    * 0x1FD5839895F57FDA David Lamparter <equinox> sig:1
    * 0x5291703BFA09034E Carlos Henrique Lima Melara <charles> sig:1
    * 0x73059AA700FB95FF Matteo Bini <matteobin> sig:3
    * 0xB3C2C7B73BA3CD7F Brian T. Smith [DM] sub:1 sig:1
    * 0xBC196A94EDDDA1B7 أحمد المحمودي [DM] sig:6
    * 0x04EE131AE6D621BE Christoph Martin <chrism> sub:1 sig:1
    * 0x196418AAEB74C8A1 Jonathan Wiltshire <jmw> sig:2
    * 0x1BF83C5E54FC8640 Dann Frazier <dannf> sub:1 sig:1
    * 0x3357018EB9999C0A Fabian Gruenbichler <fabiang> uid:1 sig:5
    * 0x33961588E1C21845 Thijs Kinkhorst <thijs> sig:7
    * 0x393587D97D86500B Colin Watson <cjwatson> uid:1 sig:1
    * 0x61AD3D98ECDF2C8E Michael Tokarev <mjt> sig:15
    * 0x6F31F7545A885252 Nicolas Dandrimont <olasd> sig:12
    * 0x97A0FA0FC8F2DE45 Stefano Rivera <stefanor> sig:9
    * 0xC0BA812C6C4DCB2E Mathias Arthur Gibbens <gibmat> sig:6
    * 0xC21D9AD423A39727 Blair Noctis <ncts> uid:1 sig:1
    * 0xC66D06B40443C450 Paulo Henrique de Lima Santana <phls> sig:5
    * 0xD3F900749268E55E Jerome Charaoui <lavamind> sig:3
    * 0xF2F11C23F00A2BE6 Ritesh Raj Sarraf <rrs> sig:3
    * 0xF50EFDCF8AD04B1A Philipp Matthias Hahn <pmhahn> sig:1
    * 0x786C63F330D7CB92 Felix Yan <felixonmars> sig:1
    * 0x7D97093255A0CE7F Nicolas Schier <nsc> sig:3
    * 0x9A5B6D03F5EF96D7 Jan Luca Naumann [DM] sig:6
    * 0xC32A4D0858F5A6EA Alper Nebi Yasak <alpernebbi> sig:13
    * 0x033C4CA276024834 Athos Coimbra Ribeiro <athos> sig:8

 -- Gunnar Wolf <gwolf@debian.org>  Mon, 02 Sep 2024 10:25:14 -0600

debian-keyring (2024.08.28) unstable; urgency=medium

  [ Jonathan McDowell ]
  * Add new DD key 0xC21D9AD423A39727 (Blair Noctis) (RT #9583)

  [ John Sullivan ]
  * Replace 0x457CE0A0804465C5 with 0x61AD3D98ECDF2C8E (Michael Tokarev)
    (RT #9589)
  * Import changes sent to keyring.debian.org HKP interface:
    * 0x00186602339240CB xiao sheng wen <atzlinux> sig:34
    * 0x07299F687458A89E Junichi Uekawa <dancer> sig:19
    * 0x0ABA650372FD9571 Thadeu Cascardo <cascardo> sig:6
    * 0x0F56D0553B6D411B Sean Whitton <spwhitton> sig:25
    * 0x196418AAEB74C8A1 Jonathan Wiltshire <jmw> sig:3
    * 0x1CD8D854FE4252C1 Noah Meyerhans <noahm> sig:14
    * 0x223AE055BD94E154 Milan Kupcevic <milan> uid:1 sig:27


## debian-keyring 2025.03.23

=== Makefile ===
all: output/keyrings/debian-keyring.gpg output/keyrings/debian-maintainers.gpg output/keyrings/debian-nonupload.gpg output/keyrings/debian-role-keys.gpg output/keyrings/emeritus-keyring.gpg output/sha512sums.txt output/README output/changelog

output/keyrings/debian-keyring.gpg: debian-keyring-gpg debian-keyring-gpg/0x*
	cat debian-keyring-gpg/0x* > output/keyrings/debian-keyring.gpg

output/keyrings/debian-maintainers.gpg: debian-maintainers-gpg debian-maintainers-gpg/0x*
	cat debian-maintainers-gpg/0x* > output/keyrings/debian-maintainers.gpg

output/keyrings/debian-nonupload.gpg: debian-nonupload-gpg debian-nonupload-gpg/0x*
	cat debian-nonupload-gpg/0x* > output/keyrings/debian-nonupload.gpg

output/keyrings/debian-role-keys.gpg: debian-role-keys-gpg debian-role-keys-gpg/0x*
	cat debian-role-keys-gpg/0x* > output/keyrings/debian-role-keys.gpg

output/keyrings/emeritus-keyring.gpg: emeritus-keyring-gpg emeritus-keyring-gpg/0x*
	cat emeritus-keyring-gpg/0x* > output/keyrings/emeritus-keyring.gpg

output/sha512sums.txt: output/keyrings/debian-keyring.gpg output/keyrings/debian-maintainers.gpg output/keyrings/debian-nonupload.gpg output/keyrings/debian-role-keys.gpg output/keyrings/emeritus-keyring.gpg
	cd output; sha512sum keyrings/* > sha512sums.txt

output/README: README
	cp README output/

output/changelog: debian/changelog
	cp debian/changelog output/

output/openpgpkey: output/keyrings/debian-keyring.gpg output/keyrings/debian-keyring.gpg output/keyrings/debian-nonupload.gpg output/keyrings/debian-role-keys.gpg
	cd output && ../scripts/update-keyrings build-wkd debian.org keyrings/debian-keyring.gpg keyrings/debian-nonupload.gpg keyrings/debian-role-keys.gpg

test: all
	./runtests

clean:
	rm -f output/keyrings/*.gpg output/sha512sums.txt output/README output/changelog output/keyrings/*~
	rm -rf gpghome output/openpgpkey

=== dm-packaging/Makefile ===
export JETRING_SIGN=$(shell if [ -e admins.gpg ]; then echo admins.gpg; else echo "** Warning: Generating keyring without checking signatures!" >&2 ; fi)

all: admins.gpg debian-maintainers.gpg

debian-maintainers.gpg: debian-maintainers/index
	jetring-build -I $@ debian-maintainers

admins.gpg: admins/index
	jetring-build -I $@ admins

test:
	./runtests

rsync-keys:
	@mkdir -p cache
	@if [ "$$ONLINE" != n ]; then \
		echo "Updating Debian keyring cache" >&2; \
		rsync -qcltz --block-size=8192 --partial --progress --exclude='emeritus-*' --exclude='removed-*' 'keyring.debian.org::keyrings/keyrings/*' cache/; \
	else \
		echo "Not updating Debian keyring cache, ONLINE=n is set" >&2; \
	fi

clean:
	rm -f debian-maintainers.gpg* admins.gpg.*

distclean: clean
	rm -rf cache

=== debian/changelog ===
debian-keyring (2025.03.23) unstable; urgency=medium

  [ John Sullivan ]
  * Replace 0x1D108E6C07CBC406 with 0xB95B0493F5AB0C47 (Alexander Kjäll) (RT #9688)

  [ Jonathan McDowell ]
  * Import changes sent to keyring.debian.org HKP interface:
    * 0x00186602339240CB xiao sheng wen <atzlinux> sig:2
    * 0x01F35FC33E73AF8C Francesco Ballarin <ballarin> sig:1
    * 0x061212944647A411 Pierre Gruet <pgt> sig:4
    * 0x087B2AA19EF93BC2 Andreas Rönnquist <gusnan> sig:3
    * 0x08F869CFE683D60C Chirayu Desai <cdesai> sig:5
    * 0x0C24B841C7DDBAAF Moritz Schlarb <moschlar> uid:1 sig:4
    * 0x12580AC9CE1FA236 Kartik Kulkarni <kartik-karz> sig:1
    * 0x14135D277B88D7E5 YunQiang Su <syq> sig:5
    * 0x17B1CA7D64089528 Chris Boyle <cmb> sub:1 sig:7
    * 0x196418AAEB74C8A1 Jonathan Wiltshire <jmw> sig:5
    * 0x1ABFA401CCAA707A Patryk Cisek <patryk> sig:3
    * 0x1B132E01CEC6AD46 Kan-Ru Chen <koster> sig:1
    * 0x2404C9546E145360 Gunnar Wolf <gwolf> sig:4
    * 0x2930100100003344 Gergely Riskó <risko> sig:2
    * 0x293A3C91D188369C Robin Gustafsson <rgson> sig:1
    * 0x2C5141A15285EC0A Vasyl Oleksandrovich Gello <basilgello> sig:3
    * 0x2CF0F17C43474B6F Raúl Benencia <rul> sig:2
    * 0x2DCD6B5DE858ADF3 Paul Tagliamonte <paultag> sub:2 sig:6
    * 0x2DE965ED63825C93 Xiyue Deng <manphiz> sig:4
    * 0x3116BA5E9FFA69A3 Paul Wise <pabs> sig:3
    * 0x36C361440C9BC971 Sunil Mohan Adapa [DM] uid:1 sig:6
    * 0x393587D97D86500B Colin Watson <cjwatson> sig:4
    * 0x3A67D5D966D15C5C Alec Leamas <leamas> sig:1
    * 0x3C7F6AF85A6CD440 Aquila Macedo Costa <aquilamacedo> sig:3
    * 0x42EE72DAC27319AD Thomas Bechtold <toabctl> uid:1 sig:2
    * 0x44173FA13D058888 Ying-Chun Liu (PaulLiu) <paulliu> sig:3
    * 0x4B043FCDB9444540 Mattia Rizzolo <mattia> sig:1
    * 0x4C5A6BAB12D2A7AE Christoph Berg <myon> sig:3
    * 0x546B245B5949269D Tianyu Chen <fish> sig:12
    * 0x573EF1E4BD5A01FA Drew Parsons <dparsons> sig:2
    * 0x587979573442684E Steve McIntyre <93sam> sig:3
    * 0x597E6A39983230EC Nikos Tsipinakis <nikos> sig:5
    * 0x5A09B4576DE8080E Paride Legovini <paride> sig:7
    * 0x5B39C0A1153ACABA Tim Lunn <darkxst> sig:3
    * 0x5D5A57C7242B22CF Ben Collins <bcollins> uid:2 sig:2
    * 0x5E62533F19765111 Tzafrir Cohen <tzafrir> sig:3
    * 0x5E946C090AFF0427 Jose Luis Rivero [DM] uid:1 sig:1
    * 0x5F43400C21CBFACC Nicholas Loren Black <dank> sig:4
    * 0x61F3442674DE6624 Andreas Moog [DM] sig:5
    * 0x6594486E01294708 Guilherme Puida Moreira <puida> sig:2
    * 0x68C078BE88F80CDA Noèl Köthe <noel> sig:4
    * 0x68C287DFC6A80226 Colin King [DM] uid:1 sig:1
    * 0x6ACCBD0FA3B7447C Marcos Fouces <marcos> sig:2
    * 0x6C8F74AE87700B7E Vasudev Sathish Kamath <vasudev> sig:1
    * 0x786C63F330D7CB92 Felix Yan <felixonmars> sig:12
    * 0x78A1B4DFE8F9C57E Ludovic Rousseau <rousseau> sig:3
    * 0x793CF67E8F0D11DA Étienne Mollier <emollier> sig:3
    * 0x798F1E35CB4D38A9 Dmitry Borodaenko <angdraug> sig:3
    * 0x83016014251D1DB0 Carsten Schoenert <tijuca> sig:2
    * 0x83A395925B29CE90 Agathe Porte <gagath> sig:7
    * 0x863D4DF2ED9C28EF Abhijith PA <abhijith> sig:6
    * 0x88237A6A53AB1B2E Harlan Lieberman-Berg <hlieberman> sub:2 sig:10
    * 0x8F53E0193B294B75 Praveen Arimbrathodiyil <praveen> uid:1 sig:3
    * 0x91AD581ADAF6CE93 Sebastien Delafond <seb> sig:40
    * 0x9605A1098C63B92A Edward John Betts <edward> sig:14
    * 0x97C2C6AB313C7B03 Arnaud Fontaine <arnau> sub:1 sig:1
    * 0x9A358BAB04A4ED27 Markus Frosch <lazyfrosch> sig:5
    * 0x9AF46B3025771B31 Mike Gabriel <sunweaver> sig:1
    * 0x9E9F7A603077FE56 Patrick Franz <delta-one> sig:2
    * 0xA5FEEE3AC7937444 Daniel Shahaf [DM] sig:1
    * 0xAA230FC45F8C27B1 Martina Ferrari <tina> sig:6
    * 0xAF2283AA76E2AC7B Hector Oron <zumbi> uid:1 sig:1
    * 0xB5754A69B6BE608C Luca Filipozzi <lfilipoz> sig:1
    * 0xB700173FBB805A29 Daniel Swarbrick <dswarbrick> sig:3
    * 0xBB20AC20E0B7D6BE René Mayorga <rmayorga> sig:9
    * 0xBD8205930270C1A5 Dimitri John Ledkov <xnox> sig:1
    * 0xBF7DB622B303AC8B Lukas Matthias Märdian <slyon> sig:12
    * 0xC0BA812C6C4DCB2E Mathias Arthur Gibbens <gibmat> sig:3
    * 0xC38E8160A17841FE Aron Xu <aron> sig:1
    * 0xC66D06B40443C450 Paulo Henrique de Lima Santana <phls> sig:5
    * 0xCBCEB26D96B98CBB Arthur Barbosa Diniz <arthurbdiniz> sig:3
    * 0xCC79866F99409084 John Wright <jsw> sig:9
    * 0xCD3A6DF75742FDB1 Antoine Le Gonidec <vv221> uid:1 sig:1
    * 0xD15D313882004173 Russ Allbery <rra> sig:1
    * 0xD597897206C5F07F Maytham Alsudany <maytham> uid:1 sig:2
    * 0xD599FF6101809E2A Elena Grandi <valhalla> sig:1
    * 0xD6D09BE48405BBF6 Mathias Behrle <mbehrle> sig:9
    * 0xD73CF638C53C06BE Simon Josefsson <jas> sig:4
    * 0xDB16CF5BB12525C4 Joerg Jaspert <joerg> sig:4
    * 0xDF23DA3396978EB3 Michael Meskes <meskes> uid:1 sig:21
    * 0xDFFAD8197617EF19 Dennis van Dok <dvandok> sig:3
    * 0xE27F2CF8458C2FA4 Simon Quigley <tsimonq2> sig:5
    * 0xE5F43F9C2734F287 Andrius Merkys <merkys> sig:3
    * 0xEB36171A6FF9435F Bernd Zeimetz <bzed> sig:1
    * 0xEBB31A62C85D8F71 Kevin Coyner <kcoyner> sig:5
    * 0xEC1879D076D8AB48 Changwoo Ryu <cwryu> sig:6
    * 0xEC63699779074FA8 Ian Campbell <ijc> uid:1 sig:1
    * 0xECBEDBB607B9B2BE Matthias Geiger <werdahias> sig:3
    * 0xEE94D766BAE97405 Anupa Ann Joseph <anupa> sig:2
    * 0xF2877BBA141AAD7F Mechtilde Stehmann <mechtilde> sub:1 sig:9
    * 0xF2F11C23F00A2BE6 Ritesh Raj Sarraf <rrs> sub:1 sig:7
    * 0xF4BAAA80DB28BA4C Marcos Talau <talau> sig:26
    * 0xF733E8710859FCD2 Aloïs Micard <creekorful> sig:7
    * 0xFBD5225B588752A1 Chow Loong Jin <hyperair> sig:3
    * 0xFF914AF0C2B35520 Cyril Brulebois <kibi> sig:3

 -- Jonathan McDowell <noodles@earth.li>  Sun, 23 Mar 2025 19:15:06 +0000

debian-keyring (2025.02.28) unstable; urgency=medium

  * Add new DM key 0x5D5A57C7242B22CF (Ben Collins) (RT #9689)
  * Add new DD key 0xD597897206C5F07F (Maytham Alsudany) (RT #9697)
  * Add new DD key 0x524DD2227A5017ED (Rebecca Natalie Palmer) (RT
    #9696)


## debian-keyring 2025.04.25

=== debian/changelog ===
debian-keyring (2025.04.25) unstable; urgency=medium

  [ Gunnar Wolf ]
  * Clean up some obsolete or inaccurate nomenclature (partially addresses
    #1101418)
  * Remove the 15-year-obsolete-and-unused(!) dm-packaging leftover
    directory, to reduce confusion. Thanks to Guillem for your attention!
    (partially addresses #1101418)
  * Refactor Makefile targets
  * Use pgp instead of gpg when referring to keyrings and pathnames
    (Closes: #1101418). Thanks to Guillem for the work put into this!
  * Import changes sent to keyring.debian.org HKP interface:
    * 0x01817AB0AAF6CDAE Robert Edmonds <edmonds> sig:1
    * 0x033C4CA276024834 Athos Coimbra Ribeiro <athos> uid:1 sig:1
    * 0x1C7C41EDEBDDBB60 Brendan O'Dea <bod> sig:2
    * 0x3AC8F716477EDB23 Ferenc Wágner <wferi> uid:1 sig:4
    * 0x3CF53F53324D416D Eduardo Trápani <mapache> sig:2
    * 0x4799A35146D12B35 Sudip Mukherjee <sudip> uid:1 sig:8
    * 0x50C3634D3A291CF9 Philipp Kern <pkern> sig:7
    * 0x55E9F9F7AC1C443F Marc Dequènes <duck> sig:5
    * 0x59DF9475A373F5B4 Mario Joußen <joussen> sig:3
    * 0x5D5F6C020398A60A Peter Wienemann <wiene> sig:2
    * 0x71A7E533F291A324 Aurélien COUDERC <coucouf> sig:4
    * 0x86561F452180FCFE Michael Jeanson <mjeanson> uid:1 sig:8
    * 0x99D49B6B00CAD1E5 Filippo Giunchedi <filippo> sig:2
    * 0x9EDCC991D9AB457E Giovanni Mascellani <gio> sig:9
    * 0xB8B24C06AC128405 Ben Finney <bignose> sig:8
    * 0xB95B0493F5AB0C47 Alexander Kjäll <capitol> sig:4
    * 0xBC372252CA1CF964 Ansgar Burchardt <ansgar> sig:9
    * 0xC31F4FD949AB2B6C Dominique Dumont <dod> sub:2 sig:15
    * 0xC7F7F9660D82A682 Laurent Bigonville <bigon> sig:7
    * 0xCC8C6BDD1403F4CA Timo Röhling <roehling> sig:10
    * 0xD36F769BC11804F0 Theodore Ts'o <tytso> sig:3
    * 0xD599FF6101809E2A Elena Grandi <valhalla> sig:3
    * 0xD6D09BE48405BBF6 Mathias Behrle <mbehrle> sig:2
    * 0xDB16CF5BB12525C4 Joerg Jaspert <joerg> sig:4
    * 0xE66C775AEBFE6C7D Jeremy Bicha <jbicha> sig:2
    * 0xEA2DB6963F8B2984 Georg Faerber <georg> sig:5
    * 0xEBE4E3EE94176FC2 Olek Wojnar <olek> sig:3
    * 0xEC371482956781AF Sven Eckelmann <ecsv> sig:12
    * 0x2D192CA624770276 Mario Limonciello [DM] uid:2 sig:3
    * 0x38A890B653397A55 Nicolas Schodet <nschodet> sub:2 sig:4
    * 0x3E1C27E11F69BFFE Francesco Poli <frx> sig:3
    * 0x885FDAB331FED834 Tong Sun <suntong> sig:2
    * 0xAB181FDB41DD41C4 John Lewis Scott <jscott> sig:6
  * Add new DD key 0x2D192CA624770276 (Mario Limonciello) (RT #9728)

  [ John Sullivan ]
  * Add new DN key 0xF15DCE5316051F27 (Sérgio Almeida Cipriano Júnior)
    (RT #9737)

 -- Gunnar Wolf <gwolf@debian.org>  Mon, 07 Apr 2025 10:31:34 -0600

=== debian/control ===
Source: debian-keyring
Section: misc
Priority: optional
Maintainer: Debian Keyring Maintainers <keyring-maint@debian.org>
Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
	Gunnar Wolf <gwolf@debian.org>,
	John Sullivan <johns@debian.org>,
	Jonathan McDowell <noodles@earth.li>
Build-Depends: debhelper-compat (= 12), gnupg, gawk
Homepage: https://keyring.debian.org/
Standards-Version: 3.9.8
Vcs-Browser: https://salsa.debian.org/debian-keyring/keyring
Vcs-Git: https://salsa.debian.org/debian-keyring/keyring.git
Rules-Requires-Root: no

Package: debian-keyring
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: gnupg (>= 1.0.6-4)
Provides: debian-maintainers
Conflicts: debian-maintainers
Replaces: debian-maintainers
Description: OpenPGP certificates of Debian Developers and Maintainers
 The Debian project wants developers to digitally sign the
 announcements of their packages with OpenPGP, to protect against
 forgeries.  This package contains OpenPGP keyrings of
 Debian Developers (uploading and non-uploading), as well as of Debian
 Maintainers.
 .
 Do note that, although this package is provided for convenience, it
 is not necessarily kept updated with the latest changes; the authoritative
 source for keyring information is publicly accessible via rsync at:
 .
 keyring.debian.org::keyrings/keyrings/
 .
 Finally, the following Git repository is usually kept up to date with the
 public authoritative data:
 .
 https://salsa.debian.org/debian-keyring/keyring.git

## debian-keyring 2025.07.25

=== debian/changelog ===
debian-keyring (2025.07.25) unstable; urgency=medium

  [ John Sullivan ]
  * Add new DN key 0x62C57C6AA61495BD (Roland Clobus) (RT #9809)
  * Add new DD key 0x01F35FC33E73AF8C (Francesco Ballarin) (RT #9808)
  * Add new DM key 0x4510339430FC9F34 (Andrew James Bower) (RT #9800)
  * Add new DD key 0xCD3A6DF75742FDB1 (Antoine Le Gonidec) (RT #9803)
  * Add new DM key 0x5F2C5905519CE0A0 (Kirill Rekhov) (RT #9822)

  [ Jonathan McDowell ]
  * Add new DD key 0x6594486E01294708 (Guilherme Puida Moreira) (RT
    #9829)

  [ Gunnar Wolf ]
  * Replace 0x680F16F62E6306F6 with 0x927502987D57C54B (Fab Stz) (RT
    #9831)
  * Updates from keyring.debian.org HKP interface:
    * 0x00186602339240CB xiao sheng wen <atzlinux> sig:4
    * 0x223AE055BD94E154 Milan Kupcevic <milan> sig:8
    * 0x26E3C875A74420EF Christoph Göhre <gris> sig:2
    * 0x2BF8D9FE074BCDE4 Thomas Lange <lange> sig:3
    * 0x348A778D6885EF8F Jose M Calhariz <calhariz> sig:7
    * 0x39278DA8109E6244 Guilhem Moulin <guilhem> sig:10
    * 0x5792783B206FEE30 Sophie Brun <sophieb> uid:1 sub:1 sig:2
    * 0x664F1238AA8F138A Daniel Lange <dlange> sig:2
    * 0x83016014251D1DB0 Carsten Schoenert <tijuca> sig:1
    * 0xADF50EDAF8ADD585 Sven Geuer <sge> sig:2
    * 0xD64A2FAE095EF799 Sakirnth Nagarasa <sakirnth> sig:1
    * 0xF4E4ACDBB8D08BE0 Samuel Henrique <samueloph> sig:25
    * 0xF823A2729883C97C Lucas Kanashiro <kanashiro> sig:4
    * 0x96BD4FF64E709FDE Alban Vidal <zordhak> sig:5
    * 0x16C56181D19233AF Filip Strömbäck <fstromback> sig:3
    * 0x680F16F62E6306F6 Fab Stz <bastif> uid:1 sig:1
    * 0x00186602339240CB xiao sheng wen <atzlinux> sig:8
    * 0x00806F2BD729A457 Jelmer Vernooij <jelmer> sub:1 sig:1
    * 0x036A9C25BF357DD4 Tianon Gravi <tianon> sig:7
    * 0x061212944647A411 Pierre Gruet <pgt> sig:3
    * 0x0C48EA2A7A8FFD7B Peter Michael Green <plugwash> sig:2
    * 0x0C871C4C653C1F59 Hilmar Preusse <hille42> sig:3
    * 0x0D442664194974E2 Pierre-Elliott Bécue <peb> sig:2
    * 0x12F4D21C8F6A63C8 Matthew Vernon <matthew> sig:4
    * 0x17FBDCBFD9928FF4 Jochen Sprickerhof <jspricke> sig:24
    * 0x1C2816907136AE39 Georges Khaznadar <georgesk> uid:1 sig:7
    * 0x1E7091B1F14A64A2 Aaron M. Ucko <ucko> sig:14
    * 0x1E759A726A9FDD74 Christopher Knadle <krait> sig:4
    * 0x2064C53641C25E5D Kurt Roeckx <kroeckx> sig:2
    * 0x2404C9546E145360 Gunnar Wolf <gwolf> sig:19
    * 0x2A27904BD7243EDA Nilesh Patra <nilesh> sig:24
    * 0x2BF8D9FE074BCDE4 Thomas Lange <lange> sig:6
    * 0x2C7C3146C1A00121 Jonas Smedegaard <js> sig:4
    * 0x2DCD6B5DE858ADF3 Paul Tagliamonte <paultag> sig:4
    * 0x39091E8123CE1C09 Prach Pongpanich <prach> sig:2
    * 0x393587D97D86500B Colin Watson <cjwatson> sig:12
    * 0x44173FA13D058888 Ying-Chun Liu (PaulLiu) <paulliu> sig:2
    * 0x473C343BBEEE3333 Andrew McMillan <awm> uid:1 sig:39
    * 0x4B043FCDB9444540 Mattia Rizzolo <mattia> sig:9
    * 0x4BCD0567C296D05D Daniel Leidert <dleidert> sig:6
    * 0x4C5A6BAB12D2A7AE Christoph Berg <myon> sig:14
    * 0x53B1AC6DB11B627B Martin Zobel-Helas <zobel> sig:2
    * 0x5556A34E04A3610B Sascha Steinbiss <satta> sig:3
    * 0x56034877E1F87C35 Ximin Luo <infinity0> sub:1 sig:1
    * 0x587979573442684E Steve McIntyre <93sam> sig:4
    * 0x5A09B4576DE8080E Paride Legovini <paride> sig:7
    * 0x5ACE8D6E0C14A470 Luke Faraone <lfaraone> sig:27
    * 0x612EF1613E050F54 Dylan Aïssi <daissi> sig:17
    * 0x634DC4F0687046F8 Christopher Michael Obbard <obbardc> sig:15
    * 0x634F4BD1E7AD5568 Enrico Zini <enrico> sig:2
    * 0x664F1238AA8F138A Daniel Lange <dlange> sig:2
    * 0x68C078BE88F80CDA Noèl Köthe <noel> sig:8
    * 0x68E713981D1515F8 Arturo Borrero González <arturo> uid:1 sig:3
    * 0x7731FCCC63E4E277 Roberto C. Sanchez <roberto> sig:18
    * 0x793CF67E8F0D11DA Étienne Mollier <emollier> sig:15
    * 0x7F6022516E869F64 Andreas Bombe <aeb> sig:39
    * 0x83016014251D1DB0 Carsten Schoenert <tijuca> sig:1
    * 0x83A395925B29CE90 Agathe Porte <gagath> sig:3
    * 0x854F07BE082DF14F Kyle Robbertze <paddatrapper> sig:4
    * 0x863D4DF2ED9C28EF Abhijith PA <abhijith> sig:3
    * 0x8A3171EF366150CE David Steele <steele> sub:1 sig:1
    * 0x9026108FB942BEA4 Jonathan McDowell <noodles> sig:1
    * 0x91AD581ADAF6CE93 Sebastien Delafond <seb> sig:6
    * 0x953273A043C2B9E2 Paul Gevers <elbrus> sig:1
    * 0xAB645F406286A7D0 Lisandro Damián Nicanor Pérez Meyer <lisandro> sig:6
    * 0xAEF6F1A2A7457645 Piotr Ożarowski <piotr> sig:5
    * 0xB65A4871CA19D717 Tollef Fog Heen <tfheen> sig:8
    * 0xB7047105830B9FA1 Bdale Garbee <bdale> sig:12
    * 0xB77D2E2E23735427 Balasankar C <balasankarc> sub:1 sig:2
    * 0xB82A217AFDFE09F2 David Prévot <taffit> sig:6
    * 0xBB20AC20E0B7D6BE René Mayorga <rmayorga> sig:9
    * 0xBBC17EBB1396F2F7 Stuart Prescott <stuart> sig:3
    * 0xBED8449FCEE8DA88 Otto Kekäläinen <otto> sig:31
    * 0xBF7DB622B303AC8B Lukas Matthias Märdian <slyon> sig:14
    * 0xC073D2287FFB9E9B Michael Hanke <mih> uid:2 sig:5
    * 0xC0BA812C6C4DCB2E Mathias Arthur Gibbens <gibmat> sig:26
    * 0xC3016ACB317F2731 Amaya M Rodrigo Sastre <amaya> sig:3
    * 0xC31F4FD949AB2B6C Dominique Dumont <dod> uid:1 sig:1
    * 0xC42C58EB591492FD Christoph Biedl <cbiedl> sig:12
    * 0xC519A20D121461F7 Bernd Schumacher <bs> uid:1 sig:1
    * 0xC89D5712DF945F6F Philippe Thierry <philou> sig:1
    * 0xD0178C767D069EE6 Samuel Thibault <sthibault> sub:2 sig:8
    * 0xD04BA3A00125D5C0 Philip Hands <philh> sig:8
    * 0xD39481AE1E79ACF7 Daniel Gröber <dxld> sig:8
    * 0xD3EBB5966BB99196 Arnaud Ferraris <aferraris> sig:24
    * 0xD84747ACE4B6813D Tiago Bortoletto Vaz <tiago> sig:3
    * 0xD929F2992BEF0A33 Didier Raboud <odyx> uid:1 sig:11
    * 0xDB221A6900000011 Keith Packard <keithp> sig:15
    * 0xDDAE12626E141035 Masayuki Hatta <mhatta> uid:1 sig:2
    * 0xDEE8043EE17EBB30 Rhonda D'Vine <rhonda> sig:92
    * 0xE2DCDD9132669BD6 Uwe Kleine-König <ukleinek> sig:7
    * 0xE619045DF2AC729A Raphaël Hertzog <hertzog> sig:1
    * 0xE8446B4AC8C77261 Andrew Shadura <andrewsh> sig:20


## debian-keyring 2025.07.26

=== debian/changelog ===
debian-keyring (2025.07.26) unstable; urgency=medium

  * Updated debian/copyright to reflect the last 16(!) years, and fixing
    lintian tag "old-fsf-address-in-copyright-file"
  * Bumped up standards-version 3.9.8→4.7.2 (No changes needed)

 -- Gunnar Wolf <gwolf@debian.org>  Sat, 26 Jul 2025 08:38:49 -0600

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_clean:
	dh_clean
	mkdir -p output/keyrings
	touch --date='@$(SOURCE_DATE_EPOCH)' output output/keyrings debian

## debian-keyring 2025.09.18

=== Makefile ===
OUTPUT_MEMBER_KEYRINGS := \
	output/keyrings/debian-keyring.pgp \
	output/keyrings/debian-nonupload.pgp \
	output/keyrings/debian-role-keys.pgp \
	# EOL

OUTPUT_KEYRINGS := \
	$(OUTPUT_MEMBER_KEYRINGS) \
	output/keyrings/debian-maintainers.pgp \
	output/keyrings/emeritus-keyring.pgp \
	# EOL

OUTPUT_COMPAT_KEYRINGS := \
	$(patsubst %.pgp,%.gpg,$(OUTPUT_KEYRINGS)) \
	# EOL

OUTPUT_FILES := \
	$(OUTPUT_KEYRINGS) \
	$(OUTPUT_COMPAT_KEYRINGS) \
	output/sha512sums.txt \
	output/README \
	output/changelog \
	# EOL

all: $(OUTPUT_FILES)

output/keyrings/%.pgp: %-pgp %-pgp/0x*
	cat $*-pgp/0x* > $@

# FIXME: To have a smooth transition, for now we hardlink the keyrings, so
# that we do not entangle the Debian infrastructure updates that would need
# to cope with the symlinks, from the Debian packaging updates for the
# archive. Once the infra is updated we can switch from the first command
# to the second commented command.
output/keyrings/%.gpg: output/keyrings/%.pgp
	ln -f $< $@
#	ln -sf $(<F) $@

output/sha512sums.txt: $(OUTPUT_KEYRINGS)
	cd output; sha512sum keyrings/* > sha512sums.txt

output/README: README
	cp README output/

output/changelog: debian/changelog
	cp debian/changelog output/

output/openpgpkey: $(OUTPUT_MEMBER_KEYRINGS)
	cd output && ../scripts/update-keyrings build-wkd debian.org keyrings/debian-keyring.pgp keyrings/debian-nonupload.pgp keyrings/debian-role-keys.pgp

test: all
	./runtests

clean:
	rm -f output/keyrings/*.pgp output/keyrings/*.gpg output/sha512sums.txt output/README output/changelog output/keyrings/*~
	rm -rf gpghome output/openpgpkey

=== debian/changelog ===
debian-keyring (2025.09.18) unstable; urgency=medium

  [ John Sullivan ]
  * Add new DD key 0xF15DCE5316051F27 (Sérgio Almeida Cipriano Júnior)
    (RT #9850)
  * Move 0xDB7C0360B2CB6597 (Troy Heber) to emeritus (RT #9851)
  * Add new DD key 0x90F0C9B18A6B4A19 (Evangelos Ribeiro Tzaras) (RT
    #9852)
  * Add new DM key 0x9045010AE5C2B9ED (Rylie Pavlik) (RT #9853)
  * Add new DM key 0xA235AC2F68CDF01D (YuChin Tsai) (RT #9854)

  [ Jonathan McDowell ]
  * Remove 0xE3E3392348B50D39 (Ian Jackson) pending clarification
  * Import changes sent to keyring.debian.org HKP interface:
    * 0x091AB856069AAA1C Holger Levsen <holger> sig:4
    * 0x188E5DC27A54FA25 Sam Johnston <samj> sig:4
    * 0x2611648AC7B0B792 Jason Pleau [DM] sig:2
    * 0x4B043FCDB9444540 Mattia Rizzolo <mattia> sub:2 sig:10
    * 0x7E6C0B9EB5944CEB Arif Ali <arifali> uid:1 sig:1
    * 0x9026108FB942BEA4 Jonathan McDowell <noodles> sig:4
    * 0xB7EE4099F720DDCB Enkelena Haxhija <enkelenah> uid:1 sig:3
    * 0xCD3A6DF75742FDB1 Antoine Le Gonidec <vv221> sig:6
    * 0xE66C775AEBFE6C7D Jeremy Bicha <jbicha> sig:1
    * 0x0D442664194974E2 Pierre-Elliott Bécue <peb> sig:4
    * 0x159EB5C4EFC8774C Benjamin Drung <bdrung> sig:4
    * 0x34B8AD7D9529E793 Lena Chloe Voytek <lena> uid:1 sig:1
    * 0x36E8C6291995F820 Denis Danilov <danilov> sig:1
    * 0x3C4107E6826C40E4 Valentin Vidic <vvidic> sig:5
    * 0x3F71FE0770D47FFB Markus Blatt <blattms> sig:2
    * 0x57930DAB0B86B067 Joost van Baal <joostvb> sig:53
    * 0x60A68FF308C2BFDB Carsten Leonhardt <leo> sig:3
    * 0x60C8350B6C88DA32 Masahito Omote <omote> uid:1 sub:1 sig:2
    * 0x6DAC3C448773381A Andy Li <andyli> sig:3
    * 0x6DF008E70F28CBF7 NoisyCoil <noisycoil> uid:1 sig:1
    * 0x77C0C75E7B650808 James Valleroy <jvalleroy> sig:3
    * 0x7813F66B8E303172 Jean-Pierre Giraud <jipege> sig:5
    * 0x793CF67E8F0D11DA Étienne Mollier <emollier> sig:9
    * 0xA802884F60A55F81 Carles Pina i Estany <cpina> sig:3
    * 0xAB645F406286A7D0 Lisandro Damián Nicanor Pérez Meyer <lisandro> sig:3
    * 0xB67EE21012290B4D Roberto Lumbreras <rover> sig:3
    * 0xBF7DB622B303AC8B Lukas Matthias Märdian <slyon> sig:3
    * 0xC311C5F54E89B698 Benjamin James Westover <benthetechguy> sig:4
    * 0xCC65B0CDEC275D5B ChangZhuo Chen <czchen> sig:5
    * 0xD04BA3A00125D5C0 Philip Hands <philh> sig:1
    * 0xD25D611C8E192076 Benda Xu <orv> sig:6
    * 0xD929F2992BEF0A33 Didier Raboud <odyx> sig:7
    * 0xDF23DA3396978EB3 Michael Meskes <meskes> sig:4
    * 0xED0DD3368DE40924 Martijn van Brummelen <mvb> sig:3
    * 0xF823A2729883C97C Lucas Kanashiro <kanashiro> sig:33
    * 0xFBE08DA64BF78AA9 Joachim Zobel [DM] sig:2

 -- Jonathan McDowell <noodles@earth.li>  Thu, 18 Sep 2025 20:01:10 +0100

debian-keyring (2025.08.28) unstable; urgency=medium

  [ Jonathan McDowell ]
  * Add new DD key 0x6DF008E70F28CBF7 (NoisyCoil) (RT #9833)
  * Add new DM key 0x5A7BAB1891FDFA61 (Alexandre Viard) (RT #9836)
  * Add new DM key 0x3A88669D54BA35B8 (Manuel Traut) (RT #9840)

  [ Gunnar Wolf ]
  * Move 0x449190F3235ABD3B (Brice Goglin) to emeritus (RT #9842)
  * Add new DN key 0xE86F1A6CF30FEA6D (Akash Santhosh) (RT #9847)
  * Add new DD key 0x34B8AD7D9529E793 (Lena Chloe Voytek) (RT #9846)
  * Add new DM key 0x0A9E2A9E66D381CB (Harald Dunkel) (RT #9841)

  [ John Sullivan ]
  * Import changes sent to keyring.debian.org HKP interface:
    * 0x00186602339240CB xiao sheng wen <atzlinux> sig:16
    * 0x00806F2BD729A457 Jelmer Vernooij <jelmer> sig:5
    * 0x01F35FC33E73AF8C Francesco Ballarin <ballarin> uid:1 sig:1
    * 0x033C4CA276024834 Athos Coimbra Ribeiro <athos> sig:4
    * 0x091AB856069AAA1C Holger Levsen <holger> sig:15
    * 0x0AA04571D03E3E70 Rene Engelhard <rene> sig:12
    * 0x0D442664194974E2 Pierre-Elliott Bécue <peb> sig:7
    * 0x12F4D21C8F6A63C8 Matthew Vernon <matthew> sig:2
    * 0x159767DF3B773EC1 Alexander List <alex> sig:7
    * 0x159EB5C4EFC8774C Benjamin Drung <bdrung> sig:23
    * 0x16B9F687A32466F9 Sahil Dhiman <sahil> sig:3
    * 0x196418AAEB74C8A1 Jonathan Wiltshire <jmw> sig:3
    * 0x19B5E6C862191001 Dominique Belhachemi <domibel> sig:1
    * 0x1C2816907136AE39 Georges Khaznadar <georgesk> sig:1
    * 0x1E7091B1F14A64A2 Aaron M. Ucko <ucko> sig:12
    * 0x2064C53641C25E5D Kurt Roeckx <kroeckx> sig:1
    * 0x211BCF562939AB8F Peter Stewart Blackman <peterb> sig:4
    * 0x2135D123D8C19BEC Geert Stappers <stappers> sig:4
    * 0x2404C9546E145360 Gunnar Wolf <gwolf> sig:25
    * 0x26E3C875A74420EF Christoph Göhre <gris> sig:2
    * 0x27DE3D45104886EF Santiago Ruano Rincón <santiago> sub:1 sig:21
    * 0x2A27904BD7243EDA Nilesh Patra <nilesh> sig:18
    * 0x2C7C3146C1A00121 Jonas Smedegaard <js> sig:4
    * 0x2DCD6B5DE858ADF3 Paul Tagliamonte <paultag> sig:6
    * 0x2EC615B2E8D3A535 Davide G. M. Salvetti <salve> sub:2 sig:2
    * 0x3357018EB9999C0A Fabian Gruenbichler <fabiang> sig:11
    * 0x393587D97D86500B Colin Watson <cjwatson> sig:4
    * 0x3938F96BDF50FEA5 Craig Small <csmall> sig:3
    * 0x473C343BBEEE3333 Andrew McMillan <awm> sig:29
    * 0x48E160C2F1FE274E Cédric Boutillier <boutil> sig:25
    * 0x4A1CA85A38FBEE5A Matheus Polkorny <polkorny> uid:1 sig:4
    * 0x4B043FCDB9444540 Mattia Rizzolo <mattia> sig:15
    * 0x4BCD0567C296D05D Daniel Leidert <dleidert> sig:4
    * 0x4C5A6BAB12D2A7AE Christoph Berg <myon> sig:9
    * 0x4DE8FF2A63C7CC90 Simon McVittie <smcv> sig:6
    * 0x4E142C216BDFC613 Jeremy Paul Arnold Sowden <azazel> sub:1 sig:11
    * 0x50C3634D3A291CF9 Philipp Kern <pkern> sig:8
    * 0x5299B4990437AC41 Jan Niehusmann <jan> sig:2
    * 0x546B245B5949269D Tianyu Chen <fish> sig:8
    * 0x57D77C19CCFD1EF8 Yifei Zhan <yifei> sig:32
    * 0x57E7C6324F81391D Sergei Golovan <sgolovan> sig:11
    * 0x587979573442684E Steve McIntyre <93sam> sig:3
    * 0x5AC61074C5E81BC4 Hugh McMaster <hmc> sig:3
    * 0x5D5F6C020398A60A Peter Wienemann <wiene> sig:12
    * 0x6026936D2F1C8AE0 Dmitry Shachnev <mitya> sig:2
    * 0x612EF1613E050F54 Dylan Aïssi <daissi> uid:1 sig:10


=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	Jonathan McDowell <noodles@earth.li>
 Build-Depends: debhelper-compat (= 12), gnupg, gawk
 Homepage: https://keyring.debian.org/
-Standards-Version: 3.9.8
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-keyring/keyring
 Vcs-Git: https://salsa.debian.org/debian-keyring/keyring.git
 Rules-Requires-Root: no
